Skip to main content
post/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/refresh
Request example
Response
post/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/refresh

Authorization

Authorizationstringheaderrequired#
Get your API key at context7.com/dashboard. Treat your API key like a password and store it securely.

Path parameters

teamspaceIdstringrequired#
Teamspace id (uuid).
ownerstringrequired#
First segment of the library id /owner/repo (for example vercel in /vercel/next.js, websites in /websites/docs_example_com). Case-insensitive.
repostringrequired#
Second segment of the library id /owner/repo. Case-insensitive.

Body

application/json
branchstring#
A branch version to refresh in place of the default branch.
gitTokenstring#
Token for a private repository. Default: the account connected in the dashboard.
pageIdsstring[]#
Confluence and Notion: the pages to index.

Items: max 5000

Responses

application/json
The refresh started
messagestringrequired#